

package GDBM_File;

use strict;
use warnings;
our($VERSION, @ISA, @EXPORT);

require Carp;
require Tie::Hash;
use Exporter 'import';
require XSLoader;
@ISA = qw(Tie::Hash);
@EXPORT = qw(
        GDBM_CACHESIZE
        GDBM_CENTFREE
        GDBM_COALESCEBLKS
        GDBM_FAST
        GDBM_FASTMODE
        GDBM_INSERT
        GDBM_NEWDB
        GDBM_NOLOCK
        GDBM_OPENMASK
        GDBM_READER
        GDBM_REPLACE
        GDBM_SYNC
        GDBM_SYNCMODE
        GDBM_WRCREAT
        GDBM_WRITER
        GDBM_NOMMAP
        GDBM_CLOEXEC
        GDBM_BSEXACT
        GDBM_XVERIFY
        GDBM_PREREAD
        GDBM_NUMSYNC
        GDBM_SNAPSHOT_OK
        GDBM_SNAPSHOT_BAD
        GDBM_SNAPSHOT_ERR
        GDBM_SNAPSHOT_SAME
        GDBM_SNAPSHOT_SUSPICIOUS
        GDBM_NO_ERROR
        GDBM_MALLOC_ERROR
        GDBM_BLOCK_SIZE_ERROR
        GDBM_FILE_OPEN_ERROR
        GDBM_FILE_WRITE_ERROR
        GDBM_FILE_SEEK_ERROR
        GDBM_FILE_READ_ERROR
        GDBM_BAD_MAGIC_NUMBER
        GDBM_EMPTY_DATABASE
        GDBM_CANT_BE_READER
        GDBM_CANT_BE_WRITER
        GDBM_READER_CANT_DELETE
        GDBM_READER_CANT_STORE
        GDBM_READER_CANT_REORGANIZE
        GDBM_UNKNOWN_UPDATE
        GDBM_ITEM_NOT_FOUND
        GDBM_REORGANIZE_FAILED
        GDBM_CANNOT_REPLACE
        GDBM_ILLEGAL_DATA
        GDBM_OPT_ALREADY_SET
        GDBM_OPT_ILLEGAL
        GDBM_BYTE_SWAPPED
        GDBM_BAD_FILE_OFFSET
        GDBM_BAD_OPEN_FLAGS
        GDBM_FILE_STAT_ERROR
        GDBM_FILE_EOF
        GDBM_NO_DBNAME
        GDBM_ERR_FILE_OWNER
        GDBM_ERR_FILE_MODE
        GDBM_UNKNOWN_ERROR
        GDBM_NEED_RECOVERY
        GDBM_BACKUP_FAILED
        GDBM_DIR_OVERFLOW
        GDBM_BAD_BUCKET
        GDBM_BAD_HEADER
        GDBM_BAD_AVAIL
        GDBM_BAD_HASH_TABLE
        GDBM_BAD_DIR_ENTRY
        GDBM_FILE_CLOSE_ERROR
        GDBM_FILE_SYNC_ERROR
        GDBM_FILE_TRUNCATE_ERROR
        GDBM_BUCKET_CACHE_CORRUPTED
        GDBM_BAD_HASH_ENTRY
        GDBM_MALFORMED_DATA
        GDBM_OPT_BADVAL
        GDBM_ERR_SNAPSHOT_CLONE
        GDBM_ERR_REALPATH
        GDBM_ERR_USAGE
        gdbm_check_syserr
);

$VERSION = '1.24';

our $gdbm_errno;

XSLoader::load();

1;
